# Gst::VorbisTag Class Reference
[gstreamermm Plugins]

A Wrapper for the vorbistag plugin. More...

Inherits Gst::VorbisParse, and Gst::TagSetter.

Collaboration diagram for Gst::VorbisTag:
[legend]

List of all members.

## Public Member Functions

virtual | ~VorbisTag ()
GstVorbisTag* | gobj ()
| Provides access to the underlying C GObject.
const GstVorbisTag* | gobj () const
| Provides access to the underlying C GObject.
GstVorbisTag* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Static Public Member Functions

static Glib::RefPtr< VorbisTag > | create ()
| Creates a new vorbistag plugin with a unique name.
static Glib::RefPtr< VorbisTag > | create (const Glib::ustring& name)
| Creates a new vorbistag plugin with the given name.

## Protected Member Functions

| VorbisTag ()
| VorbisTag (const Glib::ustring& name)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Gst::VorbisTag > | wrap (GstVorbisTag* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the vorbistag plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::VorbisTag::~VorbisTag | ( |  | ) | `[virtual]`

Gst::VorbisTag::VorbisTag | ( |  | ) | `[protected]`

Gst::VorbisTag::VorbisTag | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<VorbisTag> Gst::VorbisTag::create | ( |  | ) | `[static]`

Creates a new vorbistag plugin with a unique name.

static Glib::RefPtr<VorbisTag> Gst::VorbisTag::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new vorbistag plugin with the given name.

const GstVorbisTag* Gst::VorbisTag::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::TagSetter.

GstVorbisTag* Gst::VorbisTag::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::TagSetter.

GstVorbisTag* Gst::VorbisTag::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::VorbisTag > wrap | ( | GstVorbisTag * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/vorbistag.h